/**************************************************************************\
*
* Copyright (c)  炫彩界面库. All Rights Reserved.
*
* 炫彩界面库 - 官方网站 : http://www.xcgui.com
*
\**************************************************************************/
#include "stdafx.h"

/*
//加载XML文件创建窗口 - 演示1
int APIENTRY _tWinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPTSTR lpCmdLine,int nCmdShow)
{
	XInitXCGUI();

	//创建窗口
	HWINDOW hWindow=XC_LoadXML_Window(L"atest.xml");
	if(NULL==hWindow)
	{
		MessageBox(NULL,L"加载XML失败",L"错误",0);
		return 0;
	}
	XWnd_ShowWindow(hWindow,SW_SHOW);

	//获取元素
	//HELE hEle=XWnd_GetEle(hWindow,元素的ID号);

	XRunXCGUI();

	return 0;
}
*/


///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////


#define IDB_BUTTON1  L"IDB_BUTTON1"  //在资源中定义的按钮ID名称

//加载XML文件创建窗口 - 演示2
int APIENTRY _tWinMain(HINSTANCE hInstance,  HINSTANCE hPrevInstance, LPTSTR lpCmdLine, int nCmdShow)
{
	XInitXCGUI(); //初始化界面库

	HXMLRES  hRes=XXmlRes_Load(L"xml\\resource.res");	//加载资源
	if(NULL==hRes)
	{
		MessageBox(NULL,L"加载资源失败",L"错误",0);
		return 0;
	}

	HWINDOW hWindow=XC_LoadXML_Window(L"xml\\layout.xml",hRes); //创建窗口
	if(NULL==hWindow)
	{
		MessageBox(NULL,L"加载XML失败",L"错误",0);
		return 0;
	}

	if(FALSE==XC_LoadXML_Style(hWindow,L"xml\\style.css",hRes))	//加载样式文件
	{
		MessageBox(NULL,L"加载样式失败",L"错误",0);
		return 0;
	}

	XWnd_ShowWindow(hWindow,SW_SHOW); //显示窗口

	//下面测试我们的UI文件
	int idButton1=XXmlRes_FindId(hRes,IDB_BUTTON1); //通过按钮资源名,查找到ID
	HELE hbutton1=XWnd_GetEle(hWindow,idButton1);   //通过ID获取按钮句柄
	if(XC_BUTTON==XC_GetObjectType(hbutton1))       //判断是否为按钮
	{
		wchar_t *pBtnText=XBtn_GetText(hbutton1);  //获取按钮文本内容

		wchar_t buf[MAX_PATH]={0};
		swprintf_s(buf,MAX_PATH,L"测试按钮[%s]文本是:[%s]",IDB_BUTTON1,pBtnText);

		XMessageBox(hWindow,buf,L"炫彩界面库-测试"); //显示结果信息
	}else
	{
		XTRACE("测试资源有错误\n");
	}
	XXmlRes_Destroy(hRes); //不使用了销毁资源文件

	XRunXCGUI(); //运行

	return 0;
}
